Class | ::Bot
In: | lib/rbot/core/remote.rb lib/rbot/core/utils/extends.rb lib/rbot/core/utils/filters.rb
Parent: | Object

### Methods

clear_filters filter filter_groups filter_names global_filter_name has_filter? has_filter_group? register_filter remote_dispatcher remote_object

### Classes and Modules

Module ::Bot::Auth
Module ::Bot::Plugins
Class ::Bot::DataFilter
Class ::Bot::DataStream
Class ::Bot::RemoteDispatcher
Class ::Bot::RemoteMessage
Class ::Bot::RemoteObject

### Public Instance methods

clear_filters()

This method clears the filter list and installs the identity filter

filter(filter1, filter2, ..., filterN, stream) → stream
filter(filter1, filter2, ..., filterN, text, hash) → stream
filter(filter1, filter2, ..., filterN, hash) → stream

This method processes the DataStream stream with the filters filter1, filter2, …, filterN, in sequence (the output of each filter is used as input for the next one. stream can be provided either as a DataStream or as a String and a Hash (see DataStream.new).

filter_groups()

This method is used to retrieve the filter group names

filter_names(group=nil)

This method is used to retrieve the filter names (in a given group)

global_filter_name(name, group=nil)

This method returns the global filter name for filter name in group group

has_filter?(name, group=nil)

This method checks if the bot has a filter named name (in group group)

has_filter_group?(name)

This method checks if the bot has a filter group named name

register_filter(name, group=nil, &block)

This method is used to register a new filter

remote_dispatcher()

The bot also manages a single (for the moment) remote dispatcher. This method makes it accessible to the outside world, creating it if necessary.

remote_object()

The bot also manages a single (for the moment) remote object. This method makes it accessible to the outside world, creating it if necessary.

[Validate]